.read-more-component {
  display: flex;
  flex-direction: column;
  position: relative;
}

.read-more-component__summary,
.expanded .read-more-component__content {
  margin-bottom: 18px;
}

.read-more-component__content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease-out;
}

.read-more-component.expanded .read-more-component__content {
  max-height: none; /* Allows for full expansion */
}

.read-more-component__button {
  background: none;
  border: none;
  color: #00529b;
  cursor: pointer;
  font: inherit;
  margin: 0;
  outline: none;
  padding: 0;
  text-align: center;
}

.read-more-component__button:hover {
  text-decoration: underline;
}

